#ifndef __ROCCAT_PLAYBACK_H__
#define __ROCCAT_PLAYBACK_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_macro.h"

G_BEGIN_DECLS

typedef struct _RoccatMacroThreads RoccatMacroThreads;

RoccatMacroThreads *roccat_macro_threads_new(guint size);
void roccat_macro_threads_free(RoccatMacroThreads *macro_threads);
void roccat_play_macro_threaded(RoccatMacroThreads *threads, guint index, int kbd_file, int mouse_file, RoccatMacro const *macro);

/*!
 * \brief write an event to evdev
 */
void roccat_input_event_write_with_sync(int fd, int code, int value);

/*!
 * \brief write press and release event to evdev
 */
void roccat_input_event_write_single(int fd, int code);

G_END_DECLS

#endif
