#ifndef __ROCCAT_GDK_KEY_TRANSLATIONS_H__
#define __ROCCAT_GDK_KEY_TRANSLATIONS_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gdk/gdk.h>

G_BEGIN_DECLS

/*!
 * \brief converts keycode to gdk keyname
 *
 * Needs GDK to be initialized.
 *
 * \retval keyname that has to be freed with \c g_free()
 */
gchar *roccat_xkeycode_to_keyname(guint keycode);

/*!
 * \brief converts hid usage id to gdk keyname
 *
 * Needs GDK to be initialized.
 * Also handles mouse button names.
 *
 * \retval keyname that has to be freed with \c g_free()
 */
gchar *roccat_hid_to_keyname(guint8 usage_id);

G_END_DECLS

#endif
