#ifndef __ROCCAT_MACRO_EDITOR_ADVANCED_H__
#define __ROCCAT_MACRO_EDITOR_ADVANCED_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_macro_editor_interface.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_EDITOR_ADVANCED_TYPE (roccat_macro_editor_advanced_get_type())
#define ROCCAT_MACRO_EDITOR_ADVANCED(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_EDITOR_ADVANCED_TYPE, RoccatMacroEditorAdvanced))
#define IS_ROCCAT_MACRO_EDITOR_ADVANCED(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_EDITOR_ADVANCED_TYPE))

typedef struct _RoccatMacroEditorAdvanced RoccatMacroEditorAdvanced;
typedef struct _RoccatMacroEditorAdvancedPrivate RoccatMacroEditorAdvancedPrivate;

struct _RoccatMacroEditorAdvanced {
	GtkScrolledWindow window;
	RoccatMacroEditorAdvancedPrivate *priv;
};

GType roccat_macro_editor_advanced_get_type(void);
GtkWidget *roccat_macro_editor_advanced_new(void);

G_END_DECLS

#endif
