#ifndef __ROCCAT_MACRO_EDITOR_ADVANCED_TABLE_H__
#define __ROCCAT_MACRO_EDITOR_ADVANCED_TABLE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_macro_editor_advanced_list_store.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_EDITOR_ADVANCED_TABLE_TYPE (roccat_macro_editor_advanced_table_get_type())
#define ROCCAT_MACRO_EDITOR_ADVANCED_TABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_EDITOR_ADVANCED_TABLE_TYPE, RoccatMacroEditorAdvancedTable))
#define IS_ROCCAT_MACRO_EDITOR_ADVANCED_TABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_EDITOR_ADVANCED_TABLE_TYPE))

typedef struct _RoccatMacroEditorAdvancedTable RoccatMacroEditorAdvancedTable;
typedef struct _RoccatMacroEditorAdvancedTablePrivate RoccatMacroEditorAdvancedTablePrivate;

struct _RoccatMacroEditorAdvancedTable {
	GtkTable parent;
	RoccatMacroEditorAdvancedTablePrivate *priv;
};

GType roccat_macro_editor_advanced_table_get_type(void);

GtkWidget *roccat_macro_editor_advanced_table_new(RoccatMacroEditorAdvancedListStore *store);

G_END_DECLS

#endif
