#ifndef __ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW_H__
#define __ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_macro_editor_basic_list_store.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW_TYPE (roccat_macro_editor_basic_tree_view_get_type())
#define ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW_TYPE, RoccatMacroEditorBasicTreeView))
#define IS_ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_EDITOR_BASIC_TREE_VIEW_TYPE))

typedef struct _RoccatMacroEditorBasicTreeView RoccatMacroEditorBasicTreeView;
typedef struct _RoccatMacroEditorBasicTreeViewPrivate RoccatMacroEditorBasicTreeViewPrivate;

struct _RoccatMacroEditorBasicTreeView {
	GtkTreeView parent;
	RoccatMacroEditorBasicTreeViewPrivate *priv;
};

GType roccat_macro_editor_basic_tree_view_get_type(void);
GtkWidget *roccat_macro_editor_basic_tree_view_new(RoccatMacroEditorBasicListStore *list_store);

void roccat_macro_editor_basic_tree_view_add_keystroke(RoccatMacroEditorBasicTreeView *tree_view, guint key, guint action, glong rel_time);

G_END_DECLS

#endif
