#ifndef __ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME_H__
#define __ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME_TYPE (roccat_macro_editor_macro_options_frame_get_type())
#define ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME_TYPE, RoccatMacroEditorMacroOptionsFrame))
#define IS_ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_EDITOR_MACRO_OPTIONS_FRAME_TYPE))

typedef struct _RoccatMacroEditorMacroOptionsFrame RoccatMacroEditorMacroOptionsFrame;
typedef struct _RoccatMacroEditorMacroOptionsFramePrivate RoccatMacroEditorMacroOptionsFramePrivate;

struct _RoccatMacroEditorMacroOptionsFrame {
	GtkFrame parent;
	RoccatMacroEditorMacroOptionsFramePrivate *priv;
};

GType roccat_macro_editor_macro_options_frame_get_type(void);

GtkWidget *roccat_macro_editor_macro_options_frame_new(void);

gint roccat_macro_editor_macro_options_frame_get_loop(RoccatMacroEditorMacroOptionsFrame *macro_options_frame);
void roccat_macro_editor_macro_options_frame_set_loop(RoccatMacroEditorMacroOptionsFrame *macro_options_frame, gint value);

G_END_DECLS

#endif
