#ifndef __ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME_H__
#define __ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME_TYPE (roccat_macro_editor_record_options_frame_get_type())
#define ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME_TYPE, RoccatMacroEditorRecordOptionsFrame))
#define IS_ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_EDITOR_RECORD_OPTIONS_FRAME_TYPE))

typedef struct _RoccatMacroEditorRecordOptionsFrame RoccatMacroEditorRecordOptionsFrame;
typedef struct _RoccatMacroEditorRecordOptionsFramePrivate RoccatMacroEditorRecordOptionsFramePrivate;

struct _RoccatMacroEditorRecordOptionsFrame {
	GtkFrame parent;
	RoccatMacroEditorRecordOptionsFramePrivate *priv;
};

GType roccat_macro_editor_record_options_frame_get_type(void);

GtkWidget *roccat_macro_editor_record_options_frame_new(void);

gboolean roccat_macro_editor_record_options_frame_should_record_delays(RoccatMacroEditorRecordOptionsFrame *record_options_frame);
gboolean roccat_macro_editor_record_options_frame_is_record_on(RoccatMacroEditorRecordOptionsFrame *record_options_frame);

G_END_DECLS

#endif
