#ifndef __ROCCAT_MACRO_TREE_VIEW_H__
#define __ROCCAT_MACRO_TREE_VIEW_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_macro_tree_store.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_MACRO_TREE_VIEW_TYPE (roccat_macro_tree_view_get_type())
#define ROCCAT_MACRO_TREE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MACRO_TREE_VIEW_TYPE, RoccatMacroTreeView))
#define IS_ROCCAT_MACRO_TREE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MACRO_TREE_VIEW_TYPE))

typedef struct _RoccatMacroTreeView RoccatMacroTreeView;
typedef struct _RoccatMacroTreeViewPrivate RoccatMacroTreeViewPrivate;

struct _RoccatMacroTreeView {
	GtkTreeView parent;
	RoccatMacroTreeViewPrivate *priv;
};

GType roccat_macro_tree_view_get_type(void);
GtkWidget *roccat_macro_tree_view_new(RoccatMacroTreeStore *store);

RoccatMacroTreeStore *roccat_macro_tree_view_get_store(RoccatMacroTreeView *macro_tree_view);
void roccat_macro_tree_view_add_macroset(RoccatMacroTreeView *macro_tree_view);

G_END_DECLS

#endif
