#ifndef __ROCCAT_RULER_H__
#define __ROCCAT_RULER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_RULER_TYPE (roccat_ruler_get_type())
#define ROCCAT_RULER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_RULER_TYPE, RoccatRuler))
#define ROCCAT_RULER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), ROCCAT_RULER_TYPE, RoccatRulerClass))
#define IS_ROCCAT_RULER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_RULER_TYPE))
#define IS_ROCCAT_RULER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), ROCCAT_RULER_TYPE))

typedef struct _RoccatRuler RoccatRuler;
typedef struct _RoccatRulerClass RoccatRulerClass;
typedef struct _RoccatRulerPrivate RoccatRulerPrivate;

struct _RoccatRuler {
	GtkWidget widget;
	RoccatRulerPrivate *priv;
};

struct _RoccatRulerClass {
	GtkWidgetClass parent_class;
};

GType roccat_ruler_get_type(void);
GtkWidget *roccat_ruler_new(void);

void roccat_ruler_set_min(RoccatRuler *ruler, gdouble new_value);
gdouble roccat_ruler_get_min(RoccatRuler *ruler);

void roccat_ruler_set_max(RoccatRuler *ruler, gdouble new_value);
gdouble roccat_ruler_get_max(RoccatRuler *ruler);

void roccat_ruler_set_interval(RoccatRuler *ruler, gdouble new_value);
gdouble roccat_ruler_get_interval(RoccatRuler *ruler);

G_END_DECLS

#endif
