#ifndef __ROCCAT_SENSITIVITY_SELECTOR_H__
#define __ROCCAT_SENSITIVITY_SELECTOR_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_SENSITIVITY_SELECTOR_TYPE (roccat_sensitivity_selector_get_type())
#define ROCCAT_SENSITIVITY_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), ROCCAT_SENSITIVITY_SELECTOR_TYPE, RoccatSensitivitySelectorClass))
#define IS_ROCCAT_SENSITIVITY_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), ROCCAT_SENSITIVITY_SELECTOR_TYPE))
#define ROCCAT_SENSITIVITY_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_SENSITIVITY_SELECTOR_TYPE, RoccatSensitivitySelector))
#define IS_ROCCAT_SENSITIVITY_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_SENSITIVITY_SELECTOR_TYPE))

typedef struct _RoccatSensitivitySelectorClass RoccatSensitivitySelectorClass;
typedef struct _RoccatSensitivitySelector RoccatSensitivitySelector;
typedef struct _RoccatSensitivitySelectorPrivate RoccatSensitivitySelectorPrivate;

struct _RoccatSensitivitySelectorClass {
	GtkFrameClass parent_class;
};

struct _RoccatSensitivitySelector {
	GtkFrame frame;
	RoccatSensitivitySelectorPrivate *priv;
};

GType roccat_sensitivity_selector_get_type(void);
GtkWidget *roccat_sensitivity_selector_new(gdouble min, gdouble max, gdouble step);

gdouble roccat_sensitivity_selector_get_x_value(RoccatSensitivitySelector *selector);
void roccat_sensitivity_selector_set_x_value_blocked(RoccatSensitivitySelector *selector, gdouble value);

gdouble roccat_sensitivity_selector_get_y_value(RoccatSensitivitySelector *selector);
void roccat_sensitivity_selector_set_y_value_blocked(RoccatSensitivitySelector *selector, gdouble value);

gboolean roccat_sensitivity_selector_get_linked(RoccatSensitivitySelector *selector);
void roccat_sensitivity_selector_set_linked(RoccatSensitivitySelector *selector, gboolean value);

void roccat_sensitivity_selector_set_digits(RoccatSensitivitySelector *selector, guint digits);

G_END_DECLS

#endif
