#ifndef __ROCCAT_TEXT_DIALOG_H__
#define __ROCCAT_TEXT_DIALOG_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_TEXT_DIALOG_TYPE (roccat_text_dialog_get_type())
#define ROCCAT_TEXT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_TEXT_DIALOG_TYPE, RoccatTextDialog))
#define IS_ROCCAT_TEXT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_TEXT_DIALOG_TYPE))

typedef struct _RoccatTextDialog RoccatTextDialog;
typedef struct _RoccatTextDialogPrivate RoccatTextDialogPrivate;

struct _RoccatTextDialog {
	GtkDialog dialog;
	RoccatTextDialogPrivate *priv;
};

GType roccat_text_dialog_get_type(void);
gchar *roccat_text_dialog(GtkWindow *parent, gchar const *title, gchar const *caption, gchar const *text);
gchar *roccat_text_dialog_run(RoccatTextDialog *text_dialog);
GtkWidget *roccat_text_dialog_new(GtkWindow *parent, gchar const *title, gchar const *caption);
gchar *roccat_text_dialog_get_text(RoccatTextDialog *text_dialog);
void roccat_text_dialog_set_text(RoccatTextDialog *text_dialog, gchar const *text);
void roccat_text_dialog_set_title(RoccatTextDialog *text_dialog, gchar const *title);
void roccat_text_dialog_set_caption(RoccatTextDialog *text_dialog, gchar const *caption);

G_END_DECLS

#endif
