#ifndef __ROCCAT_TIMEOUT_DIALOG_H__
#define __ROCCAT_TIMEOUT_DIALOG_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_TIMEOUT_DIALOG_TYPE (roccat_timeout_dialog_get_type())
#define ROCCAT_TIMEOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_TIMEOUT_DIALOG_TYPE, RoccatTimeoutDialog))
#define IS_ROCCAT_TIMEOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_TIMEOUT_DIALOG_TYPE))

typedef struct _RoccatTimeoutDialog RoccatTimeoutDialog;
typedef struct _RoccatTimeoutDialogPrivate RoccatTimeoutDialogPrivate;

struct _RoccatTimeoutDialog {
	GtkDialog dialog;
	RoccatTimeoutDialogPrivate *priv;
};

GType roccat_timeout_dialog_get_type(void);
GtkWidget *roccat_timeout_dialog_new(GtkWindow *parent, gchar const *title, gchar const *text);
gboolean roccat_timeout_dialog_run(RoccatTimeoutDialog *timeout_dialog, guint timeout);
gboolean roccat_timeout_dialog(GtkWindow *parent, gchar const *title, gchar const *text, guint timeout);

G_END_DECLS

#endif
